Subject: Re: [bitcoin-dev] OP_RETURN inside TapScript

From: ZmnSCPxj <[email-masked]>
Date: Fri, 25 Feb 2022 00:04:54 +0000

Good morning Zac,

> Reducing the footprint of storing data on-chain might better be achieved by *supporting* it.
>
> Currently storing data is wasteful because it is embedded inside an OP_RETURN within a transaction structure. As an alternative, by supporting storing of raw data without creating a transaction, waste can be reduced.

If the data is not embedded inside a transaction, how would I be able to pay a miner to include the data on the blockchain?

I need a transaction in order to pay a miner anyway, so why not just embed it into the same transaction I am using to pay the miner?
(i.e. the current design)

Regards,
ZmnSCPxj